Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.ui
Interface IMessageDialogHandler

    com.change_vision.jude.api.inf.ui.IMessageDialogHandler

    public IMessageDialogHandler

Handle to show the dialog when unexpected error is occurred by Plug-in.

Method Summary
`abstract int` | `showComfirmMessage(Component parentComponent, String message)` Show a dialog for confirmation.
`abstract void` | `showErrorMessage(Component parentComponent, String message)` Show a dialog for an error.
`abstract void` | `showInformationMessage(Component parentComponent, String message)` Show a dialog for an information message.
`abstract void` | `showUnexpecedErrorMessage(Component parentComponent)` Show a dialog for an unexpected error.
`abstract void` | `showWarningMessage(Component parentComponent, String message)` Show a dialog for a warning message.

Method Detail

### showUnexpecedErrorMessage

    abstract void showUnexpecedErrorMessage(Component parentComponent)

  Show a dialog for an unexpected error.

  Parameters:
    `parentComponent` - the parent component of the dialog

### showWarningMessage

    abstract void showWarningMessage(Component parentComponent,
                                     String message)

  Show a dialog for a warning message.

  Parameters:
    `parentComponent` - the parent component of the dialog
    `message` - the message to display

### showInformationMessage

    abstract void showInformationMessage(Component parentComponent,
                                         String message)

  Show a dialog for an information message.

  Parameters:
    `parentComponent` - the parent component of the dialog
    `message` - the message to display

### showErrorMessage

    abstract void showErrorMessage(Component parentComponent,
                                   String message)

  Show a dialog for an error.

  Parameters:
    `parentComponent` - the parent component of the dialog
    `message` - the message to display

### showComfirmMessage

    abstract int showComfirmMessage(Component parentComponent,
                                    String message)

  Show a dialog for confirmation.

  Parameters:
    `parentComponent` - the parent component of the dialog
    `message` - the message to display
  Returns:
    `JOptionPane#YES_OPTION` `JOptionPane#NO_OPTION`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD